package com.muyu.car.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class CarDTO {

    /**
     * VIN码
     */
    private String carVin;


    /**
     * 车辆型号
     */
    private String typeName;
    /**
     * 能源类型 1.电动 2.纯油 3.混动
     */
    @TableField(exist = false)
    private Integer energyType;
    /**
     * 档的类型 1.手动  2.自动
     */
    @TableField(exist = false)
    private Integer gearType;

    private Integer pageNum = 1;
    private Integer pageSize = 3;

    /** 最后一次连线时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date carLastJoinTime;

    /** 最后一次离线时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date carLastOfflineTime;
    /**
     * 在线状态 1.无信号 2.行驶中 3.已停止
     */
    private Integer carStatus;
}
