package com.muyu.fault.common;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "fault_message",autoResultMap = true)
public class FaultMessage {
    /**
     * 站内信ID
     */
    @TableId(value = "fault_message_id", type= IdType.AUTO)
    @Schema(defaultValue = "站内信ID",type = "Long",description = "站内信ID")
    private Long faultMessageId;
    /**
     * 消息发送人
     */
    @Schema(defaultValue = "消息发送人",type = "String",description = "消息发送人")
    private String faultMessageSendName;
    /**
     * 消息接收人
     */
    @Schema(defaultValue = "消息接收人",type = "String",description = "消息发送人")
    private String faultMessageRemoveName;
    /**
     * 消息内容
     */
    @Schema(defaultValue = "消息内容",type = "String",description = "消息内容")
    private String faultMessageContent;
    /**
     * 发送时间
     */
    @Schema(defaultValue = "发送时间",type = "Date",description = "发送时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date faultMessageSendTime;
    /**
     * 消息状态(1:未读,2:已读)
     */
    @Schema(defaultValue = "消息状态",type = "Integer",description = "消息状态(1:未读,2:已读)")
    private Integer faultMessageState;
}
