package com.muyu.fault.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.fault.common.FaultType;
import com.muyu.fault.service.FaultTypeService;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/type")
@Tag(name = "故障类型",description = "对故障类型的定义")
public class FaultTypeController {
    @Autowired
    private FaultTypeService faultTypeService;

    /**
     * 故障类型表
     * @return
     */
    @RequestMapping(value = "faultTypeList",method = RequestMethod.GET)
    public Result<List<FaultType>> faultTypeList(@RequestBody FaultType faultType){
        return Result.success(faultTypeService.faultTypeList(faultType));
    }


    /**
     * 添加故障类型
     * @param faultType
     * @return
     */
    @RequestMapping(value = "insertType",method = RequestMethod.POST)
    public Result insertType(@RequestBody FaultType faultType){
        return Result.success(faultTypeService.save(faultType));
    }


    /**
     * 修改故障类型
     * @param faultType
     * @return
     */
    @RequestMapping(value = "updateType",method = RequestMethod.POST)
    public Result updtaeType(@RequestBody FaultType faultType){
        return Result.success(faultTypeService.updateById(faultType));
    }


    /**
     * 删除故障类型
     * @param faultTypeId
     * @return
     */
    @RequestMapping(value = "deleteType/{faultTypeId}",method = RequestMethod.DELETE)
    public Result deleteType(@PathVariable(name = "faultTypeId") Long faultTypeId){
        return Result.success(faultTypeService.removeById(faultTypeId));
    }

}
