package com.muyu.fault.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.fault.common.FaultType;
import com.muyu.fault.mapper.FaultTypeMapper;
import com.muyu.fault.service.FaultTypeService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FaultTypeServiceImpl extends ServiceImpl<FaultTypeMapper, FaultType> implements FaultTypeService {
    @Override
    public List<FaultType> faultTypeList(FaultType faultType) {
        LambdaQueryWrapper<FaultType> queryWrapper = new LambdaQueryWrapper<>();
        if (StringUtils.isNotEmpty(faultType.getFaultTypeName())) {
            queryWrapper.like(FaultType::getFaultTypeName,faultType.getFaultTypeName());
        }
        if (StringUtils.isNotEmpty(faultType.getFaultTypeDescription())) {
            queryWrapper.like(FaultType::getFaultTypeDescription,faultType.getFaultTypeDescription());
        }
        return this.list(queryWrapper);
    }
}
